Select microservice_implementation branch for the microservices API or monolithic_implementation branch for the monolith implementation. 
For further documentation see the BillSplit Core (API) Guide.pdf file which gives a breakdown of how to run the two implementations.